seo:
  title: 5 ways to bring DevOps to your campus
  description: >-
    Educators can give students a career advantage by collaborating with GitLab
    to bring DevOps lectures, tools, and community straight to the classroom.
  ogTitle: 5 ways to bring DevOps to your campus
  ogDescription: >-
    Educators can give students a career advantage by collaborating with GitLab
    to bring DevOps lectures, tools, and community straight to the classroom.
  noIndex: false
  ogImage: images/blog/hero-images/armycyberschool.jpg
  ogUrl: https://about.gitlab.com/blog/5-ways-to-bring-devops-to-your-campus
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/5-ways-to-bring-devops-to-your-campus
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "5 ways to bring DevOps to your campus",
            "author": [{"@type":"Person","name":"PJ Metz"}],
            "datePublished": "2022-01-11",
          }

content:
  title: 5 ways to bring DevOps to your campus
  description: >-
    Educators can give students a career advantage by collaborating with GitLab
    to bring DevOps lectures, tools, and community straight to the classroom.
  authors:
    - PJ Metz
  heroImage: images/blog/hero-images/armycyberschool.jpg
  date: '2022-01-11'
  body: >+

    Organizations around the world and across industries are adopting the DevOps
    methodology where development and operations are blended to securely
    accelerate software delivery. As this approach becomes a mainstay of
    software development, companies will need skilled professionals to fill key
    DevOps roles. Yet, as with most technological change, educational
    opportunities often lag behind real-world applications. 


    GitLab aims to change this and has developed five ways educators can bring
    DevOps instruction and our [DevOps Platform](/solutions/devops-platform/) to
    your campus, affording students, professors, researchers, and IT teams the
    unique opportunity to learn DevOps skills firsthand, including DevSecOps,
    and offering your graduates and organization a competitive advantage. 


    **1. GitLab for Education program**


    [GitLab for Education](/solutions/education/) provides free licenses of
    Ultimate to educational and research institutions as long as it is used for
    teaching or nonprofit research purposes. If you’re going to use GitLab in a
    classroom and want your students to use it for their schoolwork, then this
    is the option for you. This is set up by a full-time employee of the
    university and is a full license with as many seats as you need. Our
    Ultimate license is everything that our major enterprise customers use to
    create their apps and now it’s available to university students across a
    variety of disciplines. Signing up is simple via our [join
    page](/solutions/education/join). This kicks off a process that takes a few
    weeks to complete and ends with a license that brings your classroom or
    research into the world of the DevOps Platform. Learn how GitLab for
    Education has benefited other institutions, including the [University of
    Washington](/customers/uw/), [Dublin City
    University](/customers/dublin-city-university/), and Heriot Watt
    University. 


    **2. GitLab for Campuses**


    GitLab for Campuses lets your developers, IT professionals, and other
    employees working with the technical administration of your university have
    access to world-class DevOps tools. Rather than cobbling together multiple
    applications for a Do-It-Yourself DevOps solution, we can provide you access
    to our single DevOps platform at a discounted rate. [GitLab for
    Campuses](/solutions/education/campus/) is an offering that covers a large
    swath of your user base. You would still be able to grant access to students
    on your campus to use GitLab just like you can with GitLab for Education,
    but you have the added benefit of The DevOps Platform being used for running
    your entire institution’s IT. 


    **3. GitLab Guest Lecture**


    DevOps might be a brand-new consideration for your classroom; perhaps this
    is your first time hearing about it. GitLab’s education team is here to help
    you by providing a DevOps 101 guest lecture, which you can schedule for your
    class. We can have a lecture during one of your sections or set up a time
    for multiple sections of your class to come together and learn about what
    DevOps is and how to learn more. This type of industry information is
    invaluable for students looking to join a company right out of college.
    We’re not just talking about The DevOps Platform, but DevOps as an
    operational and cultural change in software development, as well as how
    DevOps implementations can be present in non-CS careers and companies. Let
    our team of former educators help guide your class into the exciting world
    of DevOps with a guest lecture. [Fill out this
    form](https://forms.gle/y2r5o83i8z6rfJPh8) to find out more about our Guest
    Lecture opportunities. 


    **4. GitLab Student Contribution Workshop**


    Contributing to open source is one of the best ways students can build
    skills, make connections, and add to their portfolio to showcase their
    abilities and work. Open source is everywhere in DevOps, especially at
    GitLab. Not only are several open source projects hosted on GitLab, GitLab
    itself is open core and [open for contributions](/community/contribute/). 


    We believe [everyone can Contribute](/company/mission/#mission), but we know
    that the first contribution can be daunting; students might not know where
    to start, how to create a merge request, or what the maintainers are looking
    for. Even basics like working locally and git commands might be a little
    confusing if students haven’t encountered them before. One way for students
    to  participate is through our hackathon. GitLab hosts a
    [hackathon](/community/hackathon/) once every three months with helpful
    issue tags and other ways to easily find places where we are looking for
    contributors to help build the future. Past hackathons have included swag
    prizes for every merge request that gets merged as well as a top-tier prize
    for the most contributions. Top contributors to GitLab are also eligible for
    our [Heroes program](/community/heroes/). 


    Because we believe so strongly in the power and importance of open source,
    we are offering a Contribution Workshop where a GitLab team member will walk
    students through some of the ways they can contribute to open source on
    GitLab. If your class, student organization, or large group of students
    wants to learn more about open source contributions, [contact
    us](https://docs.google.com/forms/d/e/1FAIpQLSe8yQkCMjylb-9w3WZoz3tmN7hmhnrb2LRoXWJd6D5ncP_o6Q/viewform?usp=sf_link).
    We’ll take it from there and bring open source to your campus. 


    **5. GitLab Student Organization Workshop**


    Student organizations still remain one of the best ways to build community
    among future professionals and make connections that can be vital to a
    student’s career. Meeting others working or studying in the same field also
    promotes sharing of information and resources to create an environment that
    maximizes potential success for everyone. These organizations, like
    on-campus clubs, professional fraternities and sororities, and even
    professional organizations with student chapters, are a great way to start
    building your future with your peers. GitLab is looking to bring a small
    workshop to student organizations at your university where you’ll not only
    learn how to use GitLab and start using DevOps best practices, but you’ll
    also boost some coding skills by actually building with GitLab. We’ll be
    offering a workshop in Python or Node.js where we will learn to build either
    a Twitter bot or a Discord bot. 


    Because of the ever-evolving presence of Covid and travel complications, we
    can’t promise this workshop will be in person. As of right now, the safest
    way is to get together virtually. If you are a member of a student
    organization looking to give your members an opportunity to learn more about
    DevOps, GitLab, or a fun project to make a bot and level up some skills,
    then this is the workshop for you. [Sign up
    here](https://docs.google.com/forms/d/e/1FAIpQLSecpQ1tmFpAPeeT9rasWcAtaEF8nv62LEDsKyJEdJJbe5Z8RQ/viewform?usp=sf_link)


  category: DevSecOps
  tags:
    - DevOps
    - careers
    - community
config:
  slug: 5-ways-to-bring-devops-to-your-campus
  featured: false
  template: BlogPost
